Post Reply 
 
Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Neptune 5.4 upgrade stuck in apt-get
08-25-2018, 06:54 AM (This post was last modified: 08-25-2018 06:55 AM by DDSchwede.)
Post: #1
Neptune 5.4 upgrade stuck in apt-get
"
root@silmarilion:~# apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
firmware-linux-nonfree : Depends: firmware-misc-nonfree (= 20180518-1~bpo9+1) but 20170823-1~bpo9+1 is installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).
root@silmarilion:~# apt -f --fix-broken install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following additional packages will be installed:
firmware-misc-nonfree
The following packages will be upgraded:
firmware-misc-nonfree
1 upgraded, 0 newly installed, 0 to remove and 104 not upgraded.
56 not fully installed or removed.
Need to get 3 058 kB of archives.
After this operation, 797 kB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 https://cdn-aws.deb.debian.org/debian stretch-backports/non-free amd64 firmware-misc-nonfree all 20180518-1~bpo9+1 [3 058 kB]
Fetched 3 058 kB in 0s (3 073 kB/s)
(Reading database ... 301898 files and directories currently installed.)
Preparing to unpack .../firmware-misc-nonfree_20180518-1~bpo9+1_all.deb ...
Unpacking firmware-misc-nonfree (20180518-1~bpo9+1) over (20170823-1~bpo9+1) ...
dpkg: error processing archive /var/cache/apt/archives/firmware-misc-nonfree_20180518-1~bpo9+1_all.deb (--unpack):
trying to overwrite '/lib/firmware/i915/bxt_guc_ver9_29.bin', which is also in package firmware-intel-gpus 1.169.4
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
/var/cache/apt/archives/firmware-misc-nonfree_20180518-1~bpo9+1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@silmarilion:~#
"

Any suggestion for workaround?
Find all posts by this user
Quote this message in a reply
Post Reply 


Messages In This Thread
Neptune 5.4 upgrade stuck in apt-get - DDSchwede - 08-25-2018 06:54 AM

Forum Jump:


User(s) browsing this thread: 1 Guest(s)